| Gtk2Hs | Contents | Index

System.Gnome.VFS.FileInfo

Maintainer | gtk2hs-devel@lists.sourceforge.net Stability : alpha Portability : portable (depends on GHC)

Contents

Types

Description
Synopsis

data FileInfo = FileInfo {

fileInfoName :: Maybe String
fileInfoType :: Maybe FileType
fileInfoPermissions :: Maybe [FilePermissions]
fileInfoFlags :: Maybe [FileFlags]
fileInfoDevice :: Maybe DeviceID
fileInfoInode :: Maybe InodeNumber
fileInfoLinkCount :: Maybe Int
fileInfoIDs :: Maybe IDs
fileInfoSize :: Maybe FileSize
fileInfoBlockCount :: Maybe FileSize
fileInfoIOBlockSize :: Maybe FileSize
fileInfoATime :: Maybe EpochTime
fileInfoMTime :: Maybe EpochTime
fileInfoCTime :: Maybe EpochTime
fileInfoSymlinkName :: Maybe String
fileInfoMIMEType :: Maybe MIMEType

}

data FileFlags

= FileFlagsNone
| FileFlagsSymlink
| FileFlagsLocal

data FileType

= FileTypeUnknown
| FileTypeRegular
| FileTypeDirectory
| FileTypeFifo
| FileTypeSocket
| FileTypeCharacterDevice
| FileTypeBlockDevice
| FileTypeSymbolicLink

type InodeNumber = Word64
type IDs = (Int, Int)

Types
data FileInfo

A record type containing information about a file.
Constructors

FileInfo |

fileInfoName :: Maybe String | the name of the file, without the path
fileInfoType :: Maybe FileType | the type of the file; i.e. regular, directory, block-device, etc.
fileInfoPermissions :: Maybe [FilePermissions] | the permissions for the file
fileInfoFlags :: Maybe [FileFlags] | flags providing additional information about the file
fileInfoDevice :: Maybe DeviceID | the device the file resides on
fileInfoInode :: Maybe InodeNumber | the inode number of the file
fileInfoLinkCount :: Maybe Int | the total number of hard links to the file
fileInfoIDs :: Maybe IDs | the user and group IDs owning the file
fileInfoSize :: Maybe FileSize | the size of the file in bytes
fileInfoBlockCount :: Maybe FileSize | the size of the file in filesystem blocks
fileInfoIOBlockSize :: Maybe FileSize | the optimal buffer size for reading from and writing to the file
fileInfoATime :: Maybe EpochTime | the time of last access
fileInfoMTime :: Maybe EpochTime | the time of last modification
fileInfoCTime :: Maybe EpochTime | the time of last attribute modification
fileInfoSymlinkName :: Maybe String | the location this symlink points to, if `fileInfoFlags` contains `FileFlagsSymlink`
fileInfoMIMEType :: Maybe MIMEType | the MIME-type of the file

Instances

Eq FileInfo
Show FileInfo
Storable FileInfo

data FileFlags

Flags specifying additional information about a file.
Constructors

FileFlagsNone |
FileFlagsSymlink |
FileFlagsLocal |

Instances

Bounded FileFlags
Enum FileFlags
Eq FileFlags
Show FileFlags
Flags FileFlags

data FileType

Identifies the type of a file.
Constructors

FileTypeUnknown |
FileTypeRegular |
FileTypeDirectory |
FileTypeFifo |
FileTypeSocket |
FileTypeCharacterDevice |
FileTypeBlockDevice |
FileTypeSymbolicLink |

Instances

Enum FileType
Eq FileType
Show FileType

type InodeNumber = Word64
An integral type wide enough to hold the inode number of a file.
type IDs = (Int, Int)
A pair holding the user ID and group ID of a file owner.
Produced by Haddock version 2.4.2